Skip to main content
`Ctrl`+`K`

# DMNetworkCreateLocalIS

Create an index set object from the local vector of the network

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkCreateLocalIS(DM dm, PetscInt numkeys, PetscInt keys[], PetscInt blocksize[], PetscInt nselectedvar[], PetscInt *selectedvar[], IS *is)

Not Collective

## Input Parameters

- dm - `DMNETWORK` object

- numkeys - number of keys

- keys - array of keys that define the components of the variables you wish to extract

- blocksize - block size of the variables associated to the component

- nselectedvar - number of variables in each block to select

- selectedvar - the offset into the block of each variable in each block to select

## Output Parameter

- is - the index set

## Notes

Use blocksize[i] of -1 to indicate select all the variables of the i-th component, for which nselectvar[i] and selectedvar[i] are ignored. Use `NULL`, `NULL`, `NULL` to indicate for all selected components one wishes to obtain all the values of that component. For example, `DMNetworkCreateLocalIS`(dm,1,&key,`NULL`,`NULL`,`NULL`,&is) will return an is that extracts all the variables for the 0-th component.

## See Also

`DM`, `DMNETWORK`, `DMNetworkCreate()`, `DMNetworkCreateIS()`, `ISCreateGeneral()`

## Level

advanced

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages